<nz-spin [nzSpinning]="!symbols">
  <nz-divider nzText="[symbol] : Je veux signaler une/des paire(s) dans un market "></nz-divider>
  <form nz-form [formGroup]="exclusionForm">

    <div nz-row class="mb-1">

      <nz-form-item class="mb-1">
        <nz-form-control nzErrorTip="Séléctionne aumoins un champ ! !">
          <nz-input-group nzAddOnBefore="Symbole(s)">
            <nz-select
              nzPlaceHolder="Symbole(s)"
              formControlName="symbols"
              style="width: 160px"
              [nzDisabled]="symbols.length === 1 && selectMultiple === false"
              [nzMode]="selectMultiple ? 'multiple' : 'default' "
              [nzMaxTagCount]="0"
            >
              <nz-option  *ngFor="let symbol of symbols" [nzLabel]="symbol.name" [nzValue]="symbol.name" > </nz-option>

            </nz-select>
          </nz-input-group>
        </nz-form-control>
      </nz-form-item>

    <nz-form-item class="mb-1">
      <nz-form-control nzErrorTip="Séléctionne une sévérité !">
        <nz-input-group nzAddOnBefore="Severité">
          <nz-select
            nzPlaceHolder="severité"
            formControlName="severity"
            style="width: 160px"
          >
            <nz-option *ngFor="let item of severities" nzCustomContent [nzLabel]="item.description" [nzValue]="item.severity">
              <i *ngIf="item.severity === 4" nz-icon nzType="close-circle" nzTheme="twotone" nzTwotoneColor="red"></i>
              <i *ngIf="item.severity === 0" nz-icon nzType="check-circle" nzTheme="twotone"></i>
              {{item.description}}
            </nz-option>
          </nz-select>
        </nz-input-group>
      </nz-form-control>
    </nz-form-item>

    </div>

    <nz-form-item class="mb-1" *ngIf="!unbanIsSelect">
      <nz-form-control nzErrorTip="Il faut selectionner aumoins une raison !">
        <nz-input-group nzAddOnBefore="Raisons">
          <nz-select
            class="select-reasons"
            style="width: 100%"
            nzShowSearch
            nzAllowClear
            [nzMaxTagCount]="1"
            [nzDropdownRender]="renderTemplate"
            [nzMaxTagPlaceholder]="tagPlaceHolder"
            nzPlaceHolder="Selectionner les raisons"
            nzMode="multiple"
            formControlName="reasons"
          >
            <nz-option *ngFor="let item of reasons" [nzLabel]="item.description" [nzValue]="item.status"></nz-option>
          </nz-select>
        </nz-input-group>
      </nz-form-control>
    </nz-form-item>

    <nz-form-item *ngIf="!unbanIsSelect">
  <textarea nz-input
            placeholder="Ajouter une note (facultatif)"
            [nzAutosize]="{ minRows: 2, maxRows: 5 }"
            formControlName="note"
  >
  </textarea>
    </nz-form-item>

  </form>

  <div class="mt-3 text-right">
    <button class="mr-1" nz-button nzSize="small" nzType="primary" (click)="checkValidity()">Envoyer</button>
    <button nz-button nzSize="small" (click)="visible = false" >Annuler</button>
  </div>

  <!------------ Templates ----------->
  <ng-template #renderTemplate>
    <nz-divider class="m-0"></nz-divider>
    <div class="addreason">
      <input type="text" placeholder="Autre raison" nz-input #inputElement />
      <a class="add-item" (click)="addItem(inputElement)"><i nz-icon nzType="plus"></i> Ajouter</a>
    </div>
  </ng-template>

  <ng-template #tagPlaceHolder>
    ... ({{ exclusionForm.value['reasons'].length - 1}})
  </ng-template>
</nz-spin>

